#!/bin/sh -e

echo "downloading content from $1"

for line in `cut -d' ' -f1- --output-delimiter="|" $1`;do
    from=`echo $line | cut -d'|' -f1`
    to=`echo $line | cut -d'|' -f2`
    [ -n "$CONTENT_CACHE_DIR" ] && cached="$CONTENT_CACHE_DIR/$(basename $to)"
    if wget --timeout=10 --tries=2 -q -O $to $from; then
     echo "downloaded $from to $to"
     [ -n "$cached" ] && cp "$to" "$cached"
    elif [ -f "$cached" ]; then
     cp "$cached" "$to"
     echo "WARN: failed download of $from (cached version used)"
    else
     echo "ERROR: failed download of $from"
    fi
done
